package com.seryx.test;

import static javax.persistence.GenerationType.SEQUENCE;

import java.io.Serializable;
import java.util.Collection;
import java.util.Vector;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.NamedQuery;
import javax.persistence.OneToMany;
import javax.persistence.SequenceGenerator;
import javax.persistence.Table;

@Entity
@Table(name = "B")
@NamedQuery(name = "test.b", query = "SELECT bb FROM B AS bb")
public class B implements Serializable {

	private short idb;
	private String textb;
	private Collection<A> as = new Vector<A>(0);


	public B() {}


	public B(String textb) {
		this.textb = textb;
	}


	@SequenceGenerator(name = "gen_b", sequenceName = "seq_b_id", allocationSize = 1)
	@Id
	@GeneratedValue(strategy = SEQUENCE, generator = "gen_b")
	@Column(name = "IDB")
	public short getIdb() {
		return idb;
	}


	public void setIdb(short idb) {
		this.idb = idb;
	}


	@Column(name = "TEXTB")
	public String getTextb() {
		return textb;
	}


	public void setTextb(String textb) {
		this.textb = textb;
	}


	@OneToMany(mappedBy="b")
	public Collection<A> getAs() {
		return as;
	}


	public void setAs(Collection<A> as) {
		this.as = as;
	}

}